diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index e67d6e4b..ef25e2ce 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -1812,152 +2355,31 @@
 <wsdl:documentation>[REF] Renvoie la liste des départements</wsdl:documentation>
       <wsdl:input message="tns:readCountyList" name="readCountyList">
     </wsdl:input>
       <wsdl:output message="tns:readCountyListResponse" name="readCountyListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readFamily">
-<wsdl:documentation>Renvoie les données de la famille
-
- -------------------------
- dossierNumber : numéro de dossier famille
- schoolYear : année scolaire (facultatif)
- incomeYear : année des revenus (facultatif), à fournir pour lecture du quotient
- referenceYear : année de référence (facultatif), à fournir pour lecture du quotient
- Retourne le dossier famille</wsdl:documentation>
-      <wsdl:input message="tns:readFamily" name="readFamily">
-    </wsdl:input>
-      <wsdl:output message="tns:readFamilyResponse" name="readFamilyResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="isWSRunning">
-<wsdl:documentation>Vérifie si le webservice est OK
-
- -------------------------
- Retourne vrai ou faux </wsdl:documentation>
-      <wsdl:input message="tns:isWSRunning" name="isWSRunning">
-    </wsdl:input>
-      <wsdl:output message="tns:isWSRunningResponse" name="isWSRunningResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
     <wsdl:operation name="updateChildAutorization">
 <wsdl:documentation>Met à jour les autorisations pour un enfant
 
  ------------------------------
  numFamily : numéro de la famille (obligatoire)
  numPerson : numéro de l'enfant (obligatoire)
  bPhoto : autorisation photo (obligatoire)
  bLeaveAlone : autorisation à partir seul (obligatoire)
  personList: liste des personnes autorisées à récupérer l'enfant 
  Les personnes non présentes dans cette liste sont supprimées en tant que personne autorisée à récupérer l'enfant, si la liste est vide on supprime l'ensemble des personnes déjà présente.
 
  -----------------------------</wsdl:documentation>
       <wsdl:input message="tns:updateChildAutorization" name="updateChildAutorization">
     </wsdl:input>
-      <wsdl:output message="tns:updateChildAutorizationResponse" name="updateChildAutorizationResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="readCivilityList">
-<wsdl:documentation>[REF] Renvoie la liste des civilités</wsdl:documentation>
-      <wsdl:input message="tns:readCivilityList" name="readCivilityList">
-    </wsdl:input>
-      <wsdl:output message="tns:readCivilityListResponse" name="readCivilityListResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="readCSPList">
-<wsdl:documentation>[REF] Renvoie la liste des catégories sociaux professionnelles</wsdl:documentation>
-      <wsdl:input message="tns:readCSPList" name="readCSPList">
-    </wsdl:input>
-      <wsdl:output message="tns:readCSPListResponse" name="readCSPListResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="updateFamilySituation">
-<wsdl:documentation>Met à jour la situation familiale
-
- ------------------------------
- numDossier : numéro de dossier famille  (obligatoire)
- category : code catégorie familiale 
- situation : code situation familiale 
- flagCom : code/hors commune 
- nbChild : nombre d'enfants à charge max 99
- nbTotalChild : nombre d'enfants max 99  
-
- -----------------------------
- Traitement : 
- Le numéro de dossier doit toujours être fourni pour identifier la famille.
- Les données sont mises à jour :
-  Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
-  Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
-      <wsdl:input message="tns:updateFamilySituation" name="updateFamilySituation">
-    </wsdl:input>
-      <wsdl:output message="tns:updateFamilySituationResponse" name="updateFamilySituationResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="getLevel">
-<wsdl:documentation>Renvoie le niveau scolaire d'un enfant, pour une année scolaire donnée
-
- -------------------------
- 	- personNumber : le numéro de l'enfant (obligatoire)
-	- schoolYear : l'année scolaire (obligatoire)
- Retourne les informations du niveau scolaire </wsdl:documentation>
-      <wsdl:input message="tns:getLevel" name="getLevel">
-    </wsdl:input>
-      <wsdl:output message="tns:getLevelResponse" name="getLevelResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="addChildVaccinList">
-<wsdl:documentation>Ajoue des vaccins à l'historique de vaccination
-
- ------------------------------
- numPerson : numéro de l'enfant (obligatoire)
- vaccinList : liste des vaccins
- - Code du vaccin (obligatoire)
- - libelle : libelle non utilisé en mise à jour
- - vaccinationDate : date de vaccination
-
- -----------------------------</wsdl:documentation>
-      <wsdl:input message="tns:addChildVaccinList" name="addChildVaccinList">
-    </wsdl:input>
-      <wsdl:output message="tns:addChildVaccinListResponse" name="addChildVaccinListResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="createOrUpdateFSL">
-<wsdl:documentation>Crée ou met à jour la FSL (Fiche Sanitaire de Liaison) d'un enfant
-
- ------------------------------
- personNumber : numéro de l'enfant (obligatoire)
- fslBean : les informations de la fiche sanitaire (obligatoire)
-
- -----------------------------
- Traitement : 
- Si numéro personne trouvé
-   Mise à jour des données FSL 
- Sinon retour erreur pas de personne trouvée</wsdl:documentation>
-      <wsdl:input message="tns:createOrUpdateFSL" name="createOrUpdateFSL">
-    </wsdl:input>
-      <wsdl:output message="tns:createOrUpdateFSLResponse" name="createOrUpdateFSLResponse">
+      <wsdl:output message="tns:updateChildAutorizationResponse" name="updateChildAutorizationResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="subscribeSchool">
 <wsdl:documentation>Ajoute une inscription scolaire pour un enfant
 
  -------------------------
@@ -1974,53 +2396,31 @@
 		Si une inscription existe pour l'année scolaire				Retour Erreur			Sinon				Création de l'Inscription scolaire pour le niveau correspondant à l'âge de l'enfant et pour l'école du périmètre de l'adresse de la famille		Retour Inscription</wsdl:documentation>
       <wsdl:input message="tns:subscribeSchool" name="subscribeSchool">
     </wsdl:input>
       <wsdl:output message="tns:subscribeSchoolResponse" name="subscribeSchoolResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="updateFamilyEmergencyPersonList">
-<wsdl:documentation>Met à jour la liste des personnes à prévenir sur la famille
- La liste comporte toutes les personnes à prévenir.
- Les personnes non présentes dans cette liste sont supprimées en tant que personne à prévenir.
-
- ------------------------------
- numDossier : numéro de dossier famille  (obligatoire)
- emergencyPersonList : liste des personnes à prévenir
-
- -----------------------------</wsdl:documentation>
-      <wsdl:input message="tns:updateFamilyEmergencyPersonList" name="updateFamilyEmergencyPersonList">
-    </wsdl:input>
-      <wsdl:output message="tns:updateFamilyEmergencyPersonListResponse" name="updateFamilyEmergencyPersonListResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="updateCoordinate">
-<wsdl:documentation>Met à jour les coordonnées (adresse, téléphones, info CAF) d'une personne
+    <wsdl:operation name="createOrUpdateFSL">
+<wsdl:documentation>Crée ou met à jour la FSL (Fiche Sanitaire de Liaison) d'un enfant
 
  ------------------------------
- numDossier : numéro de dossier famille  (obligatoire)
- numPerson : numéro de personne (obligatoire) 
- adresse : adresse de la personne 
- contact : informatin de contact de la personne 
- CAFInfo : information caf de la personne
+ personNumber : numéro de l'enfant (obligatoire)
+ fslBean : les informations de la fiche sanitaire (obligatoire)
 
  -----------------------------
  Traitement : 
-  Le numéro de dossier doit toujours être fourni pour identifier la famille.
-  Le numéro de personne doit toujours être fourni pour identifier la personne.
-  Les données sont mises à jour :
-   Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
-   Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
-      <wsdl:input message="tns:updateCoordinate" name="updateCoordinate">
+ Si numéro personne trouvé
+   Mise à jour des données FSL 
+ Sinon retour erreur pas de personne trouvée</wsdl:documentation>
+      <wsdl:input message="tns:createOrUpdateFSL" name="createOrUpdateFSL">
     </wsdl:input>
-      <wsdl:output message="tns:updateCoordinateResponse" name="updateCoordinateResponse">
+      <wsdl:output message="tns:createOrUpdateFSLResponse" name="createOrUpdateFSLResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateFamily">
 <wsdl:documentation>Met à jour les données de la Famille 
 
  --------------------  
@@ -2090,21 +2490,47 @@
 	Renvoie l'identifiant du quotient créé</wsdl:documentation>
       <wsdl:input message="tns:createUpdateQuotient" name="createUpdateQuotient">
     </wsdl:input>
       <wsdl:output message="tns:createUpdateQuotientResponse" name="createUpdateQuotientResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readCountryList">
-<wsdl:documentation>[REF] Renvoie la liste des pays</wsdl:documentation>
-      <wsdl:input message="tns:readCountryList" name="readCountryList">
+    <wsdl:operation name="readDocumentList">
+<wsdl:documentation>Renvoie la liste des pièces jointes
+
+ -------------------------
+ Retourne les informations pour inscrire l'enfant ainsi que les informations des autres enfants pour la gestion des dérogations </wsdl:documentation>
+      <wsdl:input message="tns:readDocumentList" name="readDocumentList">
     </wsdl:input>
-      <wsdl:output message="tns:readCountryListResponse" name="readCountryListResponse">
+      <wsdl:output message="tns:readDocumentListResponse" name="readDocumentListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="presubscribeSchoolDerog">
+<wsdl:documentation>Préinscription avec demande de dérogation
+
+ -------------------------
+ Il s'agit de permettre à la famille de demander la préinscription scolaire pour un établissement scolaire hors secteur.
+ Elle peut faire jusqu'à 3 choix, elle doit fournir un motif de demande de dérogation et dispose d'une zone de saisie libre pour apporter des précisions complémentaires relatives à sa demande
+ L'enfant est inscrit pour l'année scolaire et le niveau passé en paramètre 
+		-	Le(s) établissement(s) demandé(s) est(sont) enregistré(s) dans les champs respectifs
+		-	Le type de dérogation est celui paramétré en tant que type d'inscription « portail »
+		-	Le code du motif de dérogation est celui passé en paramètre
+		-	Le commentaire de la dérogation est enregistré 
+		-	Le code de liste d'attente est celui paramétré pour les inscriptions portail
+		-	L'état de la dérogation est en attente 
+
+ -------------------------
+ Renvoie l'inscription scolaire créée</wsdl:documentation>
+      <wsdl:input message="tns:presubscribeSchoolDerog" name="presubscribeSchoolDerog">
+    </wsdl:input>
+      <wsdl:output message="tns:presubscribeSchoolDerogResponse" name="presubscribeSchoolDerogResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getActivityRate">
 <wsdl:documentation>Renvoie les tarifs d'une unité et le top éligible CESU de l'unité
 
  -----------------------------
@@ -2199,34 +2625,16 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
 <wsdl:documentation>[REF] Renvoie la liste des qualités de personne</wsdl:documentation>
       <wsdl:input message="tns:readQualityList" name="readQualityList">
     </wsdl:input>
       <wsdl:output message="tns:readQualityListResponse" name="readQualityListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readSituationList">
-<wsdl:documentation>[REF] Renvoie la liste des situations familiales</wsdl:documentation>
-      <wsdl:input message="tns:readSituationList" name="readSituationList">
-    </wsdl:input>
-      <wsdl:output message="tns:readSituationListResponse" name="readSituationListResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="updateChildMedicalRecord">
-<wsdl:documentation>Met à jour les données médicales d'un enfant</wsdl:documentation>
-      <wsdl:input message="tns:updateChildMedicalRecord" name="updateChildMedicalRecord">
-    </wsdl:input>
-      <wsdl:output message="tns:updateChildMedicalRecordResponse" name="updateChildMedicalRecordResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
     <wsdl:operation name="createChild">
 <wsdl:documentation>Crée un Enfant 
 
 -------------------------
  numDossier : numéro de dossier famille (obligatoire)
  child : informations sur l'enfant (obligatoire)
  isForceCreateChild :  null ou false et doublon d'enfant détecté
  Retourne le numéro de l'enfant
@@ -2249,56 +2657,16 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
 </wsdl:documentation>
       <wsdl:input message="tns:createChild" name="createChild">
     </wsdl:input>
       <wsdl:output message="tns:createChildResponse" name="createChildResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="addSuppliedDocument">
-<wsdl:documentation>Ajoute un document pour une famille donnée et éventuellement par rapport à une personne donnée
-
- ------------------------------
- numDossier: numéro de dossier famille, obligatoire
- numPerson : numéro de la personne, fourni si la pièce est pour un enfant
- documentList :
-	- idDocument : identifiant de la pièce jointe (type de pièce)
-	- depositDate : date de dépôt (si non transmis, date du jour)
-	- filename : nom du fichier avec son extension (.pdf ou autre)
-	- fileSupplied : fichier fourni
-
- ----------------------------- 
- Traitement :
- Les documents sont ajoutés à la liste des documents fournis par la famille.
- Pas de gestion de validité
- Retour : 
-   true/false : true si au moins un document a été ajouté, ou false si aucun document indiqué.</wsdl:documentation>
-      <wsdl:input message="tns:addSuppliedDocument" name="addSuppliedDocument">
-    </wsdl:input>
-      <wsdl:output message="tns:addSuppliedDocumentResponse" name="addSuppliedDocumentResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="isChildExists">
-<wsdl:documentation>Vérifie si un enfant existe
-
- -------------------------
- 	- firstname : prénom
-	- lastname : nom
-	- dateBirth : date de naissance 
- Retourne vrai ou faux </wsdl:documentation>
-      <wsdl:input message="tns:isChildExists" name="isChildExists">
-    </wsdl:input>
-      <wsdl:output message="tns:isChildExistsResponse" name="isChildExistsResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
     <wsdl:operation name="subscribeActivity">
 <wsdl:documentation>Ajoute une inscription à une activité, pour un enfant donné
  L'inscription est créée sur une plage de dates avec le calendrier correspondant au modèle hebdomadaire fourni.
  Les identifiants des activités/unités/lieux sont fournis par la méthode de lecture du catalogue d'activité pour un enfant
 
  --------------------------
  personNumber : numéro de l'enfant (obligatoire)
  schoolYear : année scolaire (si non présent, on prend l'année de référence de l'utilisateur portail)
@@ -2365,110 +2733,50 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
  Sinon retour erreur pas de personne trouvée</wsdl:documentation>
       <wsdl:input message="tns:subscribeActivity" name="subscribeActivity">
     </wsdl:input>
       <wsdl:output message="tns:subscribeActivityResponse" name="subscribeActivityResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="createFamily">
-<wsdl:documentation>Crée un dossier Famille
-
- -------------------------
- category : code catégorie familiale (obligatoire)
- situation : code situation familiale (obligatoire)
- flagCom : code/hors commune 
- nbChild : nombre d'enfants à charge max 99
- nbTotalChild : nombre d'enfants  max 99
- nbAES : nombre d'AES max 99
- rl1 : responsable légal 1 (obligatoire)
- rl2 : résponsable légal 2 (facultatif)  
- childList : la liste des enfants 
- isForceCreateChild : null ou false et doublon de RL1 ou d'enfant détecté
- indicatorList : liste des indicateurs 
- emergencyPersonList : la liste des personnes à prévenir  
- Retourne le dossier famille
-
- -------------------------
- Traitement : 
- Un traitement de recherche de doublon est fait pour la création du RL1 et des enfants.
- Pour le RL1, lorsque la date de naissance est fournie, on recherche si on trouve une personne de type RL1 ou RL2 qui existe avec les mêmes nom, prénom et date de naissance.
- En cas de doublon, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où le RL a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon.
- Pour tous les enfants, on recherche si on trouve un enfant qui existe avec les mêmes nom, prénom et date de naissance.
- En cas de doublon :
-  - Si paramètre de forçage absent ou à faux, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où l'enfant a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon. 
-  - Si paramètre de forçage fourni à vrai, la méthode crée l'enfant s'il est trouvé dans un autre dossier famille.
- Si les contrôles sur l'intégralité des données de la demande sont OK
-   Création Famille
-     Attribution Mot de passe Famille
-    Création RL1
-    Création RL1 en tant que payeur et redevable
-    Si RL2 renseigné, 
-     Création RL2
-     Création RL2 en tant que payeur et redevable
-    Si Adresse RL2 non renseignée
-      Adresse RL2 = Adresse RL1
-    Sinon
-      Adresse RL2 = Adresse RL1
- Retour résultat : numéro de dossier, mot de passe
+    <wsdl:operation name="readSchoolForChildAndLevel">
+<wsdl:documentation>Lecture du(des) périmètres et du (des) établissements pour un niveau et un enfant
 
  -------------------------
-	resultBean :
-	* numDossier : numéro de dossier
-	* password : mot de passe portail
- Cas où isForceCreatechild = null ou false et doublon de RL1 ou d'enfant détecté :
- 	* rl1ErrorList : Le cas échéant, à chaque doublon de RL, message précisant les n° de personne et n° de famille dans lesquelles la personne est déjà présente en tant que RL.
-	* childErrorList : Le cas échéant, à chaque doublon d'enfant détecté correspondra un message précisant les n° de personne et n° de familles dans lesquelles il est déjà présent.</wsdl:documentation>
-      <wsdl:input message="tns:createFamily" name="createFamily">
-    </wsdl:input>
-      <wsdl:output message="tns:createFamilyResponse" name="createFamilyResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="readChildIndicatorList">
-<wsdl:documentation>[REF] Renvoie la liste des indicateurs pouvant être positionnés sur un enfant</wsdl:documentation>
-      <wsdl:input message="tns:readChildIndicatorList" name="readChildIndicatorList">
-    </wsdl:input>
-      <wsdl:output message="tns:readChildIndicatorListResponse" name="readChildIndicatorListResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
-    <wsdl:operation name="getChildSubscribeSchoolInformation">
-<wsdl:documentation>Renvoie les informations relative à l'inscription scolaire d'un enfant de la famille ainsi que des autres enfants pour les dérogations
+ Recherche des établissements classés par nature et ordre alphabétique :
+ -	Correspondant au niveau (s'il est fournit) sinon à l'âge de l'enfant
+ -	Dont le périmètre est 
+		-	Ouvert pour l'année scolaire
+		-	Correspond à l'adresse de l'enfant
+
+ Pour chaque établissement sont récupérés :
+ -	le code et le libellé de la nature de l'établissement
+ -	Le libellé de l'établissement
+ -	Le numéro de téléphone
+ -	L'adresse : numéro de voie, identifiant de la voie, libellé de la voie, code postal, ville
 
  -------------------------
- Retourne les informations pour inscrire l'enfant ainsi que les informations des autres enfants pour la gestion des dérogations </wsdl:documentation>
-      <wsdl:input message="tns:getChildSubscribeSchoolInformation" name="getChildSubscribeSchoolInformation">
+ Retourne les informations du(des) périmètres et du (des) établissements</wsdl:documentation>
+      <wsdl:input message="tns:readSchoolForChildAndLevel" name="readSchoolForChildAndLevel">
     </wsdl:input>
-      <wsdl:output message="tns:getChildSubscribeSchoolInformationResponse" name="getChildSubscribeSchoolInformationResponse">
+      <wsdl:output message="tns:readSchoolForChildAndLevelResponse" name="readSchoolForChildAndLevelResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readVaccinList">
 <wsdl:documentation>[REF] Renvoie la liste des vaccins</wsdl:documentation>
       <wsdl:input message="tns:readVaccinList" name="readVaccinList">
     </wsdl:input>
       <wsdl:output message="tns:readVaccinListResponse" name="readVaccinListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readPAIList">
-<wsdl:documentation>[REF] Renvoie la liste des PAI (Projet d'Accueil Individualisé)</wsdl:documentation>
-      <wsdl:input message="tns:readPAIList" name="readPAIList">
-    </wsdl:input>
-      <wsdl:output message="tns:readPAIListResponse" name="readPAIListResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
     <wsdl:operation name="updatePersonIndicatorList">
 <wsdl:documentation>Met à jour les indicateurs d'une personne (ou d'un enfant)
  Prise en compte des choix éventuels sur les indicateurs ou du commentaire accompagnant les indicateurs
 
  ------------------------------
  numPerson : numéro de l'enfant (obligatoire)
  indicators : liste des indicateurs
  - Code de l'indicateur (obligatoire)
@@ -2479,21 +2787,29 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
  -----------------------------</wsdl:documentation>
       <wsdl:input message="tns:updatePersonIndicatorList" name="updatePersonIndicatorList">
     </wsdl:input>
       <wsdl:output message="tns:updatePersonIndicatorListResponse" name="updatePersonIndicatorListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readTownList">
-<wsdl:documentation>[REF] Renvoie la liste des communes</wsdl:documentation>
-      <wsdl:input message="tns:readTownList" name="readTownList">
+    <wsdl:operation name="preSubscribeSchoolPerim">
+<wsdl:documentation>Préinscription dans le secteur d'habitation
+
+ -------------------------
+ L'enfant est inscrit dans son école de secteur pour l'année scolaire et le niveau passé en paramètre :
+		-	L'état de l'inscription est « en attente » 
+		-	Le code de liste d'attente est celui paramétré pour les inscriptions portail
+
+ -------------------------
+ Renvoie l'inscription scolaire créée</wsdl:documentation>
+      <wsdl:input message="tns:preSubscribeSchoolPerim" name="preSubscribeSchoolPerim">
     </wsdl:input>
-      <wsdl:output message="tns:readTownListResponse" name="readTownListResponse">
+      <wsdl:output message="tns:preSubscribeSchoolPerimResponse" name="preSubscribeSchoolPerimResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readCategoryList">
 <wsdl:documentation>[REF] Renvoie la liste des catégories familiales</wsdl:documentation>
       <wsdl:input message="tns:readCategoryList" name="readCategoryList">
     </wsdl:input>
